Name:           perl-Class-Gomor
Version:        1.01
Release:        2%{?dist}
Summary:        Another class and object builder

Group:          Development/Libraries
License:        Artistic
URL:            http://search.cpan.org/dist/Class-Gomor/
Source0:        http://search.cpan.org/CPAN/authors/id/G/GO/GOMOR/Class-Gomor-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  perl(Test::More), perl(ExtUtils::MakeMaker) 
BuildRequires:  perl(Test::Pod), perl(Test::Pod::Coverage)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module is yet another class builder. This one adds parameter checking in
new constructor, that is to check for attributes existence, and definedness.

%prep
%setup -q -n Class-Gomor-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes LICENSE LICENSE.Artistic README
%doc examples
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Thu May 03 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 1.01-2
- Add missing BRs
- Add examples dir to %%doc
* Thu May 03 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 1.01-1
- Initial build
